Bug 250572 - dns/ddclient: Update to v3.9.1
Summary: dns/ddclient: Update to v3.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/ddclient/ddclient/...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-10-24 08:20 UTC by Allison Reid
Modified: 2020-10-27 14:30 UTC (History)
3 users (show)

See Also:
mjl: maintainer-feedback+
fernape: merge-quarterly+


Attachments
Update dns/ddclient from v3.9.0 to v3.9.1 (892 bytes, patch)
2020-10-24 08:20 UTC, Allison Reid
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Allison Reid 2020-10-24 08:20:02 UTC
Created attachment 219029 [details]
Update dns/ddclient from v3.9.0 to v3.9.1

- added support for Yandex.Mail for Domain DNS service
- added support for NearlyFreeSpeech.net
- added support for DNS Made Easy
- added systemd instructions
- added support for dondominio.com
- updated perl instruction
- updated fritzbox instructions
- fixed multidomain support for namecheap
- fixed support for Yandex

==================================================

Before and after:

[root@CURUS#ddclient] service ddclient restart
Stopping ddclient.
Waiting for PIDS: 64175.
Starting ddclient.
WARNING:  file /usr/local/etc/ddclient.conf, line 10: Invalid Value for keyword 'protocol' = 'dnsmadeeasy'


[root@CURUS#ddclient] pkg upgrade
Updating Cooltrainer repository catalogue...
Fetching meta.conf: 100%    163 B   0.2kB/s    00:01    
Fetching packagesite.txz: 100%  116 KiB 118.3kB/s    00:01    
Processing entries: 100%
Cooltrainer repository update completed. 411 packages processed.
All repositories are up to date.
Checking for upgrades (1 candidates): 100%
Processing candidates (1 candidates): 100%
The following 1 package(s) will be affected (of 0 checked):
Installed packages to be UPGRADED:
        ddclient: 3.9.0 -> 3.9.1
Number of packages to be upgraded: 1
41 KiB to be downloaded.
Proceed with this action? [y/N]: y
[1/1] Fetching ddclient-3.9.1.txz: 100%   41 KiB  41.9kB/s    00:01    
Checking integrity... done (0 conflicting)
[1/1] Upgrading ddclient from 3.9.0 to 3.9.1...
[1/1] Extracting ddclient-3.9.1: 100%
You may need to manually remove /usr/local/etc/ddclient.conf if it is no longer needed.


[root@CURUS#ddclient] service ddclient restart                                 
Stopping ddclient.
Waiting for PIDS: 66136.
Starting ddclient.
Comment 1 Automation User 2020-10-24 08:36:05 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/207110279
Comment 2 daniel.engberg.lists 2020-10-25 09:04:31 UTC
Please also update pkg-descr to new URL
Comment 3 mjl 2020-10-26 00:09:27 UTC
I'm the maintainer.  I have reviewed and tested the patch and this is maintainer approved.

Could whoever commits this please change the WWW in pkg-descr to https://github.com/ddclient/ddclient

I did consider changing the WWW line to
https://ddclient.net/

but the news on that site is out of date.
Comment 4 commit-hook freebsd_committer 2020-10-27 14:26:59 UTC
A commit references this bug:

Author: fernape
Date: Tue Oct 27 14:26:25 UTC 2020
New revision: 553445
URL: https://svnweb.freebsd.org/changeset/ports/553445

Log:
  dns/ddclient: Update to v3.9.1

  ChangeLog: https://github.com/ddclient/ddclient/releases/tag/v3.9.1

  PR:	250572
  Submitted by:	root@cooltrainer.org
  Approved by:	mjl@luckie.org.nz (maintainer)
  MFH:	2020Q4 (blanket, runtime fixes)

Changes:
  head/dns/ddclient/Makefile
  head/dns/ddclient/distinfo
  head/dns/ddclient/pkg-descr
Comment 5 commit-hook freebsd_committer 2020-10-27 14:29:00 UTC
A commit references this bug:

Author: fernape
Date: Tue Oct 27 14:28:16 UTC 2020
New revision: 553446
URL: https://svnweb.freebsd.org/changeset/ports/553446

Log:
  MFH: r553445

  dns/ddclient: Update to v3.9.1

  ChangeLog: https://github.com/ddclient/ddclient/releases/tag/v3.9.1

  PR:	250572
  Submitted by:	root@cooltrainer.org
  Approved by:	mjl@luckie.org.nz (maintainer)

  Approved by:	ports-secteam (blanket, runtime fix)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/dns/ddclient/Makefile
  branches/2020Q4/dns/ddclient/distinfo
  branches/2020Q4/dns/ddclient/pkg-descr
Comment 6 Fernando Apesteguía freebsd_committer 2020-10-27 14:30:21 UTC
Committed and MFH'ed with minor changes (some variable reordering)

Thank you all!